Bug 191364 - firefox crashes with ftp dialog window
firefox crashes with ftp dialog window
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-11 08:07 EDT by Radek Vokal
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 10:48:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Vokal 2006-05-11 08:07:55 EDT
Description of problem:
When clicking OK on FTP error dialog firefox crashes


Version-Release number of selected component (if applicable):
firefox-1.5.0.2-1.2.fc5
firefox-1.5.0.3-2


How reproducible:
always


Steps to Reproduce:
1. setup up non anonymous FTP 
example vsftpd.conf
$ cat /etc/vsftpd/vsftpd.conf
anonymous_enable=NO
local_enable=YES
write_enable=YES
local_umask=022
dirmessage_enable=YES
xferlog_enable=YES
connect_from_port_20=YES
xferlog_std_format=YES
chroot_local_user=YES
pam_service_name=vsftpd
userlist_enable=YES
listen=YES
tcp_wrappers=YES

2. service vsftpd restart
3. firefox ftp://localhost
4. click ok and whoops 
  
Actual results:
crashes, no dump, nothing

Expected results:
works

Additional info:
Please let me know if I can provide any.
Comment 1 Radek Vokal 2006-05-11 09:31:48 EDT
I was trying to get a core dump or sth, but no luck. The only thing I get is

$ firefox -browser
/usr/lib/firefox-1.5.0.3/run-mozilla.sh: line 131: 24983 Segmentation fault    
 (core dumped) "$prog" ${1+"$@"}

Why there's no core while ulimit -c is set to unlimited?
Comment 2 Matěj Cepl 2007-07-18 13:31:04 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 3 Matěj Cepl 2007-08-28 10:48:11 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.